﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" />
    <div>
        <asp:Button ID="Button1" runat="server" Text="Mark All Checkboxes" OnClick="Button1_Click" />
        <telerik:RadGrid ID="RadGrid1" runat="server" DataSourceID="SqlDataSource1" GridLines="None"
            AutoGenerateEditColumn="true" AllowMultiRowEdit="true">
            <MasterTableView AutoGenerateColumns="True" DataSourceID="SqlDataSource1" DataKeyNames="CategoryID"
                HierarchyLoadMode="ServerBind" Name="MasterTableView" CommandItemDisplay="Top">
                <Columns>
                    <telerik:GridCheckBoxColumn UniqueName="MasterCheckBoxColumn">
                    </telerik:GridCheckBoxColumn>
                </Columns>
                <DetailTables>
                    <telerik:GridTableView DataKeyNames="CategoryID" AutoGenerateColumns="true" DataSourceID="SqlDataSource2"
                        HierarchyLoadMode="ServerBind" CommandItemDisplay="Top" AllowPaging="true" PageSize="3"
                        Name="DetailTable0">
                        <Columns>
                            <telerik:GridCheckBoxColumn UniqueName="DetailCheckBoxColumn">
                            </telerik:GridCheckBoxColumn>
                        </Columns>
                        <ParentTableRelation>
                            <telerik:GridRelationFields DetailKeyField="CategoryID" MasterKeyField="CategoryID" />
                        </ParentTableRelation>
                    </telerik:GridTableView>
                </DetailTables>
            </MasterTableView>
        </telerik:RadGrid>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT * FROM [Categories]"></asp:SqlDataSource>
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT * FROM [Products] WHERE ([CategoryID] = @CategoryID)">
            <SelectParameters>
                <asp:Parameter Name="CategoryID" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
